Examples

## Functions

int | MaxCutRandomized (SDPCone sdpcone, int nnodes)
| Apply the Goemens and Williamson randomized cut algorithm to the SDP relaxation of the max-cut problem.
int | StableRandomized (SDPCone sdpcone, int nodes, int edges, EdgeMat Edge[])
| Apply a randomized procedure to find feasible stable sets.

## Detailed Description

Examples that formulate problems in DSDP Standard Form. and solve them using DSDP.

Note
  These routines are examples! They not part of the subroutine library.

## Function Documentation

## MaxCutRandomized()

int MaxCutRandomized | ( | SDPCone | sdpcone,
|  | int | nnodes
| ) |  |

Apply the Goemens and Williamson randomized cut algorithm to the SDP relaxation of the max-cut problem.

int MaxCutRandomized(SDPCone sdpcone,int nnodes);

Parameters

  sdpcone | the SDP cone
  nnodes | number of nodes in the graph

Note
  This routine is an example! It is not part of the solver library.

See also
  MaxCut()

Definition at line 175 of file maxcut.c.

## StableRandomized()

int StableRandomized | ( | SDPCone | sdpcone,
|  | int | nodes,
|  | int | edges,
|  | EdgeMat | Edge[]
| ) |  |

Apply a randomized procedure to find feasible stable sets.

int StableRandomized(SDPCone sdpcone,int nodes, int edges, EdgeMat Edge[]);

Parameters

  sdpcone | the SDP cone
  nodes | number of nodes in the graph
  edges | number of edges in the graph
  Edge | Array of edges

Note
  This routine is an example! It is not part of the solver library.

See also
  MaxCutRandomized()

Definition at line 164 of file stable.c.